QuantLib: FdHestonBarrierEngine Class Reference

A free/open-source library for quantitative finance Reference manual - version 1.20

Public Member Functions | List of all members
FdHestonBarrierEngine Class Reference
Pricing engines » Barrier option engines

Finite-Differences Heston Barrier Option engine. More...

`#include <ql/pricingengines/barrier/fdhestonbarrierengine.hpp>`

Inheritance diagram for FdHestonBarrierEngine:
[legend]

## Public Member Functions
| FdHestonBarrierEngine (const ext::shared_ptr< HestonModel > &model, Size tGrid=100, Size xGrid=100, Size vGrid=50, Size dampingSteps=0, const FdmSchemeDesc &schemeDesc=FdmSchemeDesc::Hundsdorfer(), const ext::shared_ptr< LocalVolTermStructure > &leverageFct=ext::shared_ptr< LocalVolTermStructure >(), Real mixingFactor=1.0)
void | calculate () const
Public Member Functions inherited from GenericModelEngine< HestonModel, DividendBarrierOption::arguments, DividendBarrierOption::results >
| GenericModelEngine (const Handle< HestonModel > &model=Handle< HestonModel >())
| GenericModelEngine (const ext::shared_ptr< HestonModel > &model)
Public Member Functions inherited from GenericEngine< DividendBarrierOption::arguments, DividendBarrierOption::results >
PricingEngine::arguments * | getArguments () const
const PricingEngine::results * | getResults () const
void | reset ()
void | update ()
Public Member Functions inherited from PricingEngine
virtual arguments * | getArguments () const =0
virtual const results * | getResults () const =0
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< iterator, bool > | registerWith (const ext::shared_ptr< Observable > &)
void | registerWithObservables (const ext::shared_ptr< Observer > &)
Size | unregisterWith (const ext::shared_ptr< Observable > &)
void | unregisterWithAll ()
virtual void | deepUpdate ()

## Additional Inherited Members
Public Types inherited from Observer
typedef boost::unordered_set< ext::shared_ptr< Observable > > | set_type
typedef set_type::iterator | iterator
Protected Attributes inherited from GenericModelEngine< HestonModel, DividendBarrierOption::arguments, DividendBarrierOption::results >
Handle< HestonModel > | model_
Protected Attributes inherited from GenericEngine< DividendBarrierOption::arguments, DividendBarrierOption::results >
DividendBarrierOption::arguments | arguments_
DividendBarrierOption::results | results_

## Detailed Description

Finite-Differences Heston Barrier Option engine.

Tests:
  the correctness of the returned value is tested by reproducing results available in web/literature and comparison with Black pricing.